<?xml version="1.0"?>
<openejb-jar
    xmlns="http://www.openejb.org/xml/ns/openejb-jar"
    configId="org/codehaus/activemq/itest/Server"
    parentId="org/apache/geronimo/SystemJMS">

    <enterprise-beans>
        <session>
            <ejb-name>MessengerBean</ejb-name>
            <jndi-name>org/codehaus/activemq/itest/MessengerBean</jndi-name>
            <resource-ref>
                <ref-name>jms/Default</ref-name>
                <resource-link>SampleActiveMQConnectionFactory</resource-link>
            </resource-ref>
        </session>
        <message-driven>
            <ejb-name>MDBTransferBean</ejb-name>
            
            <resource-adapter>
                <resource-link>SampleActiveMQResourceAdapter</resource-link>
            </resource-adapter>
            <resource-ref>
                <ref-name>jms/Default</ref-name>
                <resource-link>SampleActiveMQConnectionFactory</resource-link>
            </resource-ref>
        </message-driven>
    </enterprise-beans>

</openejb-jar>